com.holonplatform.core.beans

## Interface BeanPropertySetPostProcessor

- Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface BeanPropertySetPostProcessor

  Interface for classes that can be registered in a `BeanIntrospector` to perform additional `BeanPropertySet` configuration operations at bean introspection time.

  BeanPropertySetPostProcessor registration can be performed also using default Java extension through `ServiceLoader`, providing a `com.holonplatform.core.beans.BeanPropertySetPostProcessor` file in `META-INF/services` containing the BeanPropertySetPostProcessor concrete class names to register.

  Since:
    5.1.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_PRIORITY` Default `BeanPropertySetPostProcessor` priority if not specified using `Priority` annotation.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processBeanPropertySet(BeanPropertySet.Builder<?,?> propertySet, Class<?> beanClass)` Process given bean `propertySet`.

- - ### Field Detail

    - #### DEFAULT_PRIORITY

          static final int DEFAULT_PRIORITY

      Default `BeanPropertySetPostProcessor` priority if not specified using `Priority` annotation.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### processBeanPropertySet

          void processBeanPropertySet(BeanPropertySet.Builder<?,?> propertySet,
                                      Class<?> beanClass)

      Process given bean `propertySet`.
      Parameters:
        `propertySet` - `BeanPropertySet` to process as builder
        `beanClass` - The property set bean class
      Throws:
        `BeanIntrospector.BeanIntrospectionException` - If an error occurred

Copyright © 2019 The Holon Platform. All rights reserved.